Closed Bug 1683062 Opened 4 years ago Closed 2 years ago

Intermittent Linux debug webrender xpcom/string/crashtests/1113005.html (finished) | application crashed [@ mozalloc_handle_oom(unsigned long)]

Categories

(Core :: Networking: HTTP, defect, P2)

defect

Tracking

()

RESOLVED FIXED

People

(Reporter: intermittent-bug-filer, Assigned: kershaw)

References

Details

(Keywords: crash, intermittent-failure, Whiteboard: [necko-triaged])

Crash Data

Attachments

(2 files)

[task 2020-12-17T05:12:29.329Z] 05:12:29     INFO - 1608181949321	Marionette	TRACE	Received observer notification xpcom-will-shutdown
[task 2020-12-17T05:12:29.331Z] 05:12:29     INFO - 1608181949321	Marionette	INFO	Stopped listening on port 2828
[task 2020-12-17T05:12:29.331Z] 05:12:29     INFO - 1608181949321	Marionette	DEBUG	Marionette stopped listening
[task 2020-12-17T05:12:29.350Z] 05:12:29     INFO - [RDD 1957, Main Thread] WARNING: NS_ENSURE_TRUE(Preferences::InitStaticMembers()) failed: file /builds/worker/checkouts/gecko/modules/libpref/Preferences.cpp:4378
[task 2020-12-17T05:12:29.366Z] 05:12:29     INFO - ###!!! [Parent][RunMessage] Error: Channel closing: too late to send/recv, messages will be lost
[task 2020-12-17T05:12:32.543Z] 05:12:32     INFO - [Parent 1435, Main Thread] WARNING: Extra shutdown CC: 'i < NORMAL_SHUTDOWN_COLLECTIONS', file /builds/worker/checkouts/gecko/xpcom/base/nsCycleCollector.cpp:3364
[task 2020-12-17T05:12:32.604Z] 05:12:32     INFO - [Parent 1435, Main Thread] WARNING: NS_ENSURE_TRUE(Preferences::InitStaticMembers()) failed: file /builds/worker/checkouts/gecko/modules/libpref/Preferences.cpp:4378
[task 2020-12-17T05:12:32.631Z] 05:12:32     INFO - REFTEST INFO | Copy/paste: /builds/worker/fetches/minidump_stackwalk/minidump_stackwalk /tmp/tmpmzx6II.mozrunner/minidumps/7592c6cd-247a-3e48-e792-be1c90409448.dmp /builds/worker/workspace/build/symbols
[task 2020-12-17T05:12:37.802Z] 05:12:37     INFO - REFTEST INFO | Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/7592c6cd-247a-3e48-e792-be1c90409448.dmp
[task 2020-12-17T05:12:37.862Z] 05:12:37     INFO - REFTEST PROCESS-CRASH | xpcom/string/crashtests/1113005.html (finished) | application crashed [@ mozalloc_handle_oom(unsigned long)]
[task 2020-12-17T05:12:37.862Z] 05:12:37     INFO - Crash dump filename: /tmp/tmpmzx6II.mozrunner/minidumps/7592c6cd-247a-3e48-e792-be1c90409448.dmp
[task 2020-12-17T05:12:37.862Z] 05:12:37     INFO - Operating system: Linux
[task 2020-12-17T05:12:37.863Z] 05:12:37     INFO -                   0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2020-12-17T05:12:37.864Z] 05:12:37     INFO - CPU: amd64
[task 2020-12-17T05:12:37.865Z] 05:12:37     INFO -      family 6 model 85 stepping 7
[task 2020-12-17T05:12:37.866Z] 05:12:37     INFO -      2 CPUs
[task 2020-12-17T05:12:37.867Z] 05:12:37     INFO - 
[task 2020-12-17T05:12:37.867Z] 05:12:37     INFO - GPU: UNKNOWN
[task 2020-12-17T05:12:37.868Z] 05:12:37     INFO - 
[task 2020-12-17T05:12:37.869Z] 05:12:37     INFO - Crash reason:  SIGSEGV /SEGV_MAPERR
[task 2020-12-17T05:12:37.869Z] 05:12:37     INFO - Crash address: 0x0
[task 2020-12-17T05:12:37.870Z] 05:12:37     INFO - Process uptime: not available
[task 2020-12-17T05:12:37.871Z] 05:12:37     INFO - 
[task 2020-12-17T05:12:37.872Z] 05:12:37     INFO - Thread 0 (crashed)
[task 2020-12-17T05:12:37.872Z] 05:12:37     INFO -  0  firefox-bin!mozalloc_abort [mozalloc_abort.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 33 + 0x16]
[task 2020-12-17T05:12:37.873Z] 05:12:37     INFO -     rax = 0x000056403832bf0a   rdx = 0x0000000000000000
[task 2020-12-17T05:12:37.874Z] 05:12:37     INFO -     rcx = 0x00005640383ffcb8   rbx = 0x00007f75f0724840
[task 2020-12-17T05:12:37.874Z] 05:12:37     INFO -     rsi = 0x00007f75f07258b0   rdi = 0x00007f75f0724680
[task 2020-12-17T05:12:37.875Z] 05:12:37     INFO -     rbp = 0x00007ffe83556110   rsp = 0x00007ffe83556100
[task 2020-12-17T05:12:37.876Z] 05:12:37     INFO -      r8 = 0x00007f75f07258b0    r9 = 0x00007f75f161a780
[task 2020-12-17T05:12:37.877Z] 05:12:37     INFO -     r10 = 0x0000000000000057   r11 = 0x00007f75f03b6850
[task 2020-12-17T05:12:37.877Z] 05:12:37     INFO -     r12 = 0x0000000003260000   r13 = 0x00007f75d30d7100
[task 2020-12-17T05:12:37.878Z] 05:12:37     INFO -     r14 = 0x00007f74b1000000   r15 = 0x0000000000000008
[task 2020-12-17T05:12:37.879Z] 05:12:37     INFO -     rip = 0x0000564038383752
[task 2020-12-17T05:12:37.879Z] 05:12:37     INFO -     Found by: given as instruction pointer in context
[task 2020-12-17T05:12:37.880Z] 05:12:37     INFO -  1  firefox-bin!mozalloc_handle_oom(unsigned long) [mozalloc_oom.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 51 + 0x5]
[task 2020-12-17T05:12:37.881Z] 05:12:37     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffe83556160
[task 2020-12-17T05:12:37.882Z] 05:12:37     INFO -     rsp = 0x00007ffe83556120   r12 = 0x0000000003260000
[task 2020-12-17T05:12:37.882Z] 05:12:37     INFO -     r13 = 0x00007f75d30d7100   r14 = 0x00007f74b1000000
[task 2020-12-17T05:12:37.883Z] 05:12:37     INFO -     r15 = 0x0000000000000008   rip = 0x0000564038383837
[task 2020-12-17T05:12:37.884Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.884Z] 05:12:37     INFO -  2  firefox-bin!moz_xrealloc [mozalloc.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 74 + 0x8]
[task 2020-12-17T05:12:37.885Z] 05:12:37     INFO -     rbx = 0x000000001c600000   rbp = 0x00007ffe83556180
[task 2020-12-17T05:12:37.886Z] 05:12:37     INFO -     rsp = 0x00007ffe83556170   r12 = 0x0000000003260000
[task 2020-12-17T05:12:37.887Z] 05:12:37     INFO -     r13 = 0x00007f75d30d7100   r14 = 0x00007f74b1000000
[task 2020-12-17T05:12:37.887Z] 05:12:37     INFO -     r15 = 0x0000000000000008   rip = 0x0000564038383919
[task 2020-12-17T05:12:37.888Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.888Z] 05:12:37     INFO -  3  libxul.so!nsTArrayInfallibleAllocator::ResultTypeProxy nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_RelocateUsingMemutils>::EnsureCapacity<nsTArrayInfallibleAllocator>(unsigned long, unsigned long) [nsTArray-inl.h:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 210 + 0xb]
[task 2020-12-17T05:12:37.889Z] 05:12:37     INFO -     rbx = 0x000000001c600000   rbp = 0x00007ffe835561c0
[task 2020-12-17T05:12:37.889Z] 05:12:37     INFO -     rsp = 0x00007ffe83556190   r12 = 0x0000000003260000
[task 2020-12-17T05:12:37.890Z] 05:12:37     INFO -     r13 = 0x00007f75d30d7100   r14 = 0x00007f75d30d7108
[task 2020-12-17T05:12:37.890Z] 05:12:37     INFO -     r15 = 0x0000000000000008   rip = 0x00007f75df961ac0
[task 2020-12-17T05:12:37.891Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.891Z] 05:12:37     INFO -  4  libxul.so!mozilla::net::ChannelEventQueue::RunOrEnqueue(mozilla::net::ChannelEvent*, bool) [ChannelEventQueue.h:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 218 + 0x17]
[task 2020-12-17T05:12:37.892Z] 05:12:37     INFO -     rbx = 0x00007f75d272e880   rbp = 0x00007ffe83556220
[task 2020-12-17T05:12:37.892Z] 05:12:37     INFO -     rsp = 0x00007ffe835561d0   r12 = 0x0000000000000000
[task 2020-12-17T05:12:37.893Z] 05:12:37     INFO -     r13 = 0x00007f75d30d7100   r14 = 0x00007f75d30d7170
[task 2020-12-17T05:12:37.893Z] 05:12:37     INFO -     r15 = 0x00007f75d30d7128   rip = 0x00007f75dfe2a7eb
[task 2020-12-17T05:12:37.894Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.894Z] 05:12:37     INFO -  5  libxul.so!mozilla::net::HttpChannelChild::DoNotifyListener() [HttpChannelChild.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 1232 + 0x1b]
[task 2020-12-17T05:12:37.895Z] 05:12:37     INFO -     rbx = 0x00007f75d272e800   rbp = 0x00007ffe83556280
[task 2020-12-17T05:12:37.895Z] 05:12:37     INFO -     rsp = 0x00007ffe83556230   r12 = 0x00007ffe83556238
[task 2020-12-17T05:12:37.896Z] 05:12:37     INFO -     r13 = 0x00007f75e6727e48   r14 = 0x00007f75d30d7100
[task 2020-12-17T05:12:37.896Z] 05:12:37     INFO -     r15 = 0x00007f74aa5fadd0   rip = 0x00007f75dfeb4a2a
[task 2020-12-17T05:12:37.897Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.897Z] 05:12:37     INFO -  6  libxul.so!mozilla::detail::RunnableMethodImpl<RefPtr<mozilla::net::HttpChannelChild>, void (mozilla::net::HttpChannelChild::*)(), true, (mozilla::RunnableKind)0, >::Run() [nsThreadUtils.h:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 1201 + 0x17]
[task 2020-12-17T05:12:37.898Z] 05:12:37     INFO -     rbx = 0x0000000000000022   rbp = 0x00007ffe83556290
[task 2020-12-17T05:12:37.898Z] 05:12:37     INFO -     rsp = 0x00007ffe83556290   r12 = 0x00007ffe835562b0
[task 2020-12-17T05:12:37.899Z] 05:12:37     INFO -     r13 = 0x00007f75e6727e48   r14 = 0x00007f75d271f880
[task 2020-12-17T05:12:37.899Z] 05:12:37     INFO -     r15 = 0x00007f75d271f8f0   rip = 0x00007f75dfee64dd
[task 2020-12-17T05:12:37.900Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.900Z] 05:12:37     INFO -  7  libxul.so!mozilla::RunnableTask::Run() [TaskController.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 459 + 0x11]
[task 2020-12-17T05:12:37.901Z] 05:12:37     INFO -     rbx = 0x0000000000000022   rbp = 0x00007ffe83556720
[task 2020-12-17T05:12:37.901Z] 05:12:37     INFO -     rsp = 0x00007ffe835562a0   r12 = 0x00007ffe835562b0
[task 2020-12-17T05:12:37.902Z] 05:12:37     INFO -     r13 = 0x00007f75e6727e48   r14 = 0x00007f75d271f880
[task 2020-12-17T05:12:37.902Z] 05:12:37     INFO -     r15 = 0x00007f75d271f8f0   rip = 0x00007f75dfa60bee
[task 2020-12-17T05:12:37.903Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.903Z] 05:12:37     INFO -  8  libxul.so!mozilla::TaskController::DoExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 739 + 0x9]
[task 2020-12-17T05:12:37.904Z] 05:12:37     INFO -     rbx = 0x00007ffe83556750   rbp = 0x00007ffe835567c0
[task 2020-12-17T05:12:37.904Z] 05:12:37     INFO -     rsp = 0x00007ffe83556730   r12 = 0x0000000000000000
[task 2020-12-17T05:12:37.904Z] 05:12:37     INFO -     r13 = 0x00007ffe83556770   r14 = 0x00007f75d271f880
[task 2020-12-17T05:12:37.905Z] 05:12:37     INFO -     r15 = 0x00007f75d9c061c8   rip = 0x00007f75dfa5f681
[task 2020-12-17T05:12:37.905Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.905Z] 05:12:37     INFO -  9  libxul.so!mozilla::TaskController::ExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 598 + 0x5]
[task 2020-12-17T05:12:37.906Z] 05:12:37     INFO -     rbx = 0x00007f75d9c06000   rbp = 0x00007ffe83556800
[task 2020-12-17T05:12:37.906Z] 05:12:37     INFO -     rsp = 0x00007ffe835567d0   r12 = 0x00000000dd140901
[task 2020-12-17T05:12:37.906Z] 05:12:37     INFO -     r13 = 0x0000000000000000   r14 = 0x00007ffe83556818
[task 2020-12-17T05:12:37.906Z] 05:12:37     INFO -     r15 = 0x00007f75d9c06000   rip = 0x00007f75dfa5eb65
[task 2020-12-17T05:12:37.906Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.907Z] 05:12:37     INFO - 10  libxul.so!mozilla::TaskController::ProcessPendingMTTask(bool) [TaskController.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 382 + 0xb]
[task 2020-12-17T05:12:37.907Z] 05:12:37     INFO -     rbx = 0x00007ffe83556818   rbp = 0x00007ffe83556850
[task 2020-12-17T05:12:37.907Z] 05:12:37     INFO -     rsp = 0x00007ffe83556810   r12 = 0x00000000dd140901
[task 2020-12-17T05:12:37.907Z] 05:12:37     INFO -     r13 = 0x0000000000000000   r14 = 0x0000000000000000
[task 2020-12-17T05:12:37.907Z] 05:12:37     INFO -     r15 = 0x00007f75d9c06000   rip = 0x00007f75dfa5ecd9
[task 2020-12-17T05:12:37.908Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.908Z] 05:12:37     INFO - 11  libxul.so!mozilla::detail::RunnableFunction<mozilla::TaskController::InitializeInternal()::$_3>::Run() [nsThreadUtils.h:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 534 + 0xf]
[task 2020-12-17T05:12:37.908Z] 05:12:37     INFO -     rbx = 0x00007ffe835568d0   rbp = 0x00007ffe83556860
[task 2020-12-17T05:12:37.908Z] 05:12:37     INFO -     rsp = 0x00007ffe83556860   r12 = 0x00000000dd140901
[task 2020-12-17T05:12:37.909Z] 05:12:37     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f75eff61e90
[task 2020-12-17T05:12:37.909Z] 05:12:37     INFO -     r15 = 0x0000089def967620   rip = 0x00007f75dfa64929
[task 2020-12-17T05:12:37.909Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.909Z] 05:12:37     INFO - 12  libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 1200 + 0xe]
[task 2020-12-17T05:12:37.909Z] 05:12:37     INFO -     rbx = 0x00007ffe835568d0   rbp = 0x00007ffe83556960
[task 2020-12-17T05:12:37.909Z] 05:12:37     INFO -     rsp = 0x00007ffe83556870   r12 = 0x00000000dd140901
[task 2020-12-17T05:12:37.909Z] 05:12:37     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f75eff61e90
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO -     r15 = 0x0000089def967620   rip = 0x00007f75dfa70a71
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO - 13  libxul.so!NS_ProcessPendingEvents(nsIThread*, unsigned int) [nsThreadUtils.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 496 + 0xf]
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffe835569b0
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO -     rsp = 0x00007ffe83556970   r12 = 0x00007f75eff61e90
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO -     r13 = 0x00007ffe8355697f   r14 = 0x00000000ffffffff
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO -     r15 = 0x00000000002f9a4a   rip = 0x00007f75dfa6e897
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.910Z] 05:12:37     INFO - 14  libxul.so!mozilla::ShutdownXPCOM(nsIServiceManager*) [XPCOMInit.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 628 + 0xe]
[task 2020-12-17T05:12:37.911Z] 05:12:37     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffe83556a50
[task 2020-12-17T05:12:37.911Z] 05:12:37     INFO -     rsp = 0x00007ffe835569c0   r12 = 0x00007ffe835569c0
[task 2020-12-17T05:12:37.911Z] 05:12:37     INFO -     r13 = 0x00007ffe83556ae8   r14 = 0x0000000000000000
[task 2020-12-17T05:12:37.911Z] 05:12:37     INFO -     r15 = 0x00007ffe835569c8   rip = 0x00007f75dfaa71bd
[task 2020-12-17T05:12:37.912Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.912Z] 05:12:37     INFO - 15  libxul.so!XRE_TermEmbedding() [nsEmbedFunctions.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 212 + 0x7]
[task 2020-12-17T05:12:37.912Z] 05:12:37     INFO -     rbx = 0x00007f75effcc978   rbp = 0x00007ffe83556a70
[task 2020-12-17T05:12:37.912Z] 05:12:37     INFO -     rsp = 0x00007ffe83556a60   r12 = 0x00007ffe83557f28
[task 2020-12-17T05:12:37.912Z] 05:12:37     INFO -     r13 = 0x00007ffe83556ae8   r14 = 0x000000000000000d
[task 2020-12-17T05:12:37.912Z] 05:12:37     INFO -     r15 = 0x0000000080004005   rip = 0x00007f75e3aab2c7
[task 2020-12-17T05:12:37.913Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.913Z] 05:12:37     INFO - 16  libxul.so!mozilla::ipc::ScopedXREEmbed::Stop() [ScopedXREEmbed.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 90 + 0x5]
[task 2020-12-17T05:12:37.913Z] 05:12:37     INFO -     rbx = 0x00007f75effcc978   rbp = 0x00007ffe83556a90
[task 2020-12-17T05:12:37.913Z] 05:12:37     INFO -     rsp = 0x00007ffe83556a80   r12 = 0x00007ffe83557f28
[task 2020-12-17T05:12:37.913Z] 05:12:37     INFO -     r13 = 0x00007ffe83556ae8   r14 = 0x000000000000000d
[task 2020-12-17T05:12:37.913Z] 05:12:37     INFO -     r15 = 0x0000000080004005   rip = 0x00007f75e00bc589
[task 2020-12-17T05:12:37.913Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.914Z] 05:12:37     INFO - 17  libxul.so!XRE_InitChildProcess(int, char**, XREChildData const*) [nsEmbedFunctions.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 737 + 0xe]
[task 2020-12-17T05:12:37.914Z] 05:12:37     INFO -     rbx = 0x00007f75effcc000   rbp = 0x00007ffe83556d80
[task 2020-12-17T05:12:37.914Z] 05:12:37     INFO -     rsp = 0x00007ffe83556aa0   r12 = 0x00007ffe83557f28
[task 2020-12-17T05:12:37.914Z] 05:12:37     INFO -     r13 = 0x00007ffe83556ae8   r14 = 0x000000000000000d
[task 2020-12-17T05:12:37.914Z] 05:12:37     INFO -     r15 = 0x0000000080004005   rip = 0x00007f75e3aab8ad
[task 2020-12-17T05:12:37.914Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO - 18  firefox-bin!content_process_main(mozilla::Bootstrap*, int, char**) [plugin-container.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 57 + 0x11]
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO -     rbx = 0x000000000000000f   rbp = 0x00007ffe83556dc0
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO -     rsp = 0x00007ffe83556d90   r12 = 0x00007ffe83556d90
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO -     r13 = 0x00007ffe83557f20   r14 = 0x00007ffe83557f28
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO -     r15 = 0x00007f75eff026c0   rip = 0x000056403835e77a
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO - 19  firefox-bin!main [nsBrowserApp.cpp:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 305 + 0x20]
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffe83557e40
[task 2020-12-17T05:12:37.915Z] 05:12:37     INFO -     rsp = 0x00007ffe83556dd0   r12 = 0x000056403835e620
[task 2020-12-17T05:12:37.916Z] 05:12:37     INFO -     r13 = 0x00007ffe83557f20   r14 = 0x00005640383fdce8
[task 2020-12-17T05:12:37.916Z] 05:12:37     INFO -     r15 = 0x0000051cd00deb3c   rip = 0x000056403835eaf6
[task 2020-12-17T05:12:37.916Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.916Z] 05:12:37     INFO - 20  libc.so.6 + 0x21b97
[task 2020-12-17T05:12:37.916Z] 05:12:37     INFO -     rbx = 0x0000000000000000   rbp = 0x00005640383f9b20
[task 2020-12-17T05:12:37.916Z] 05:12:37     INFO -     rsp = 0x00007ffe83557e50   r12 = 0x000056403835e620
[task 2020-12-17T05:12:37.917Z] 05:12:37     INFO -     r13 = 0x00007ffe83557f20   r14 = 0x0000000000000000
[task 2020-12-17T05:12:37.917Z] 05:12:37     INFO -     r15 = 0x0000000000000000   rip = 0x00007f75f0359b97
[task 2020-12-17T05:12:37.917Z] 05:12:37     INFO -     Found by: call frame info
[task 2020-12-17T05:12:37.917Z] 05:12:37     INFO - 21  firefox-bin!mozilla::UniquePtr<mozilla::Bootstrap, mozilla::Bootstrap::BootstrapDelete>::~UniquePtr() [UniquePtr.h:36e58b614815fb3da6d7840d6f787b6ec2eed618 : 253 + 0x1f]
[task 2020-12-17T05:12:37.917Z] 05:12:37     INFO -     rsp = 0x00007ffe83557e70   rip = 0x000056403835e7c5
[task 2020-12-17T05:12:37.917Z] 05:12:37     INFO -     Found by: stack scanning

Update:

There have been 43 failures within the last 7 days, all of them on Linux 18.04 x64 WebRender debug.

Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=337596534&repo=autoland&lineNumber=82174

[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - REFTEST PROCESS-CRASH | xpcom/string/crashtests/1113005.html (finished) | application crashed [@ mozalloc_handle_oom(unsigned long)]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - Crash dump filename: /tmp/tmpgaxra080.mozrunner/minidumps/28699df8-f306-63c8-d2d6-fe618a689069.dmp
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - Operating system: Linux
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -                   0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - CPU: amd64
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -      family 6 model 85 stepping 7
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -      2 CPUs
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - 
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - GPU: UNKNOWN
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - 
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - Crash reason:  SIGSEGV /SEGV_MAPERR
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - Crash address: 0x0
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - Process uptime: not available
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - 
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO - Thread 0 (crashed)
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  0  firefox-bin!mozalloc_abort [mozalloc_abort.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 33 + 0x16]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rax = 0x000055c1519263bc   rdx = 0x0000000000000000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rcx = 0x000055c1519fe908   rbx = 0x00007fdf3985b840
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsi = 0x00007fdf3985c8b0   rdi = 0x00007fdf3985b680
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbp = 0x00007ffd7e373980   rsp = 0x00007ffd7e373970
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -      r8 = 0x00007fdf3985c8b0    r9 = 0x00007fdf3a752780
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r10 = 0x0000000000000000   r11 = 0x0000000000000000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r12 = 0x0000000003260000   r13 = 0x00007fdf1b9c7a00
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r14 = 0x00007fddf9a00000   r15 = 0x0000000000000008
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rip = 0x000055c151980be9
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: given as instruction pointer in context
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  1  firefox-bin!mozalloc_handle_oom(unsigned long) [mozalloc_oom.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 51 + 0x5]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffd7e3739d0
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e373990   r12 = 0x0000000003260000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x00007fdf1b9c7a00   r14 = 0x00007fddf9a00000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0x0000000000000008   rip = 0x000055c151980ce2
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  2  firefox-bin!moz_xrealloc [mozalloc.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 74 + 0x8]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x000000001c600000   rbp = 0x00007ffd7e3739f0
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3739e0   r12 = 0x0000000003260000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x00007fdf1b9c7a00   r14 = 0x00007fddf9a00000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0x0000000000000008   rip = 0x000055c151980dc4
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  3  libxul.so!nsTArrayInfallibleAllocator::ResultTypeProxy nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_RelocateUsingMemutils>::EnsureCapacity<nsTArrayInfallibleAllocator>(unsigned long, unsigned long) [nsTArray-inl.h:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 210 + 0xb]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x000000001c600000   rbp = 0x00007ffd7e373a30
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e373a00   r12 = 0x0000000003260000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x00007fdf1b9c7a00   r14 = 0x00007fdf1b9c7a08
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0x0000000000000008   rip = 0x00007fdf28788901
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  4  libxul.so!mozilla::net::ChannelEventQueue::RunOrEnqueue(mozilla::net::ChannelEvent*, bool) [ChannelEventQueue.h:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 218 + 0x17]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x00007fdf1b9de880   rbp = 0x00007ffd7e373a90
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e373a40   r12 = 0x0000000000000000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x00007fdf1b9c7a00   r14 = 0x00007fdf1b9c7a70
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0x00007fdf1b9c7a28   rip = 0x00007fdf28c76be5
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  5  libxul.so!mozilla::net::HttpChannelChild::DoNotifyListener() [HttpChannelChild.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 1245 + 0x1b]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x00007fdf1b9de800   rbp = 0x00007ffd7e373af0
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e373aa0   r12 = 0x00007ffd7e373aa8
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x00007ffd7e373b20   r14 = 0x00007fdf1b9c7a00
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0x00007fddf2fe21a0   rip = 0x00007fdf28d08292
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  6  libxul.so!mozilla::detail::RunnableMethodImpl<RefPtr<mozilla::net::HttpChannelChild>, void (mozilla::net::HttpChannelChild::*)(), true, (mozilla::RunnableKind)0, >::Run() [nsThreadUtils.h:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 1201 + 0x17]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x0000000000000022   rbp = 0x00007ffd7e373b00
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e373b00   r12 = 0x00007fdf1b33d870
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x00007ffd7e373b20   r14 = 0x00007fdf2f840398
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0x00007fdf1b33d800   rip = 0x00007fdf28d3a417
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  7  libxul.so!mozilla::RunnableTask::Run() [TaskController.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 473 + 0x11]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x0000000000000022   rbp = 0x00007ffd7e373f90
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e373b10   r12 = 0x00007fdf1b33d870
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x00007ffd7e373b20   r14 = 0x00007fdf2f840398
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0x00007fdf1b33d800   rip = 0x00007fdf288a838f
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  8  libxul.so!mozilla::TaskController::DoExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 757 + 0x9]
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rbx = 0x00007ffd7e373ff0   rbp = 0x00007ffd7e3741b0
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     rsp = 0x00007ffd7e373fa0   r12 = 0x0000000000000000
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r13 = 0x0000000000000000   r14 = 0x00007fdf1b33d800
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     r15 = 0xaaaaaaaaaaaaaaaa   rip = 0x00007fdf2889217e
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.370Z] 03:18:01     INFO -  9  libxul.so!mozilla::TaskController::ExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 612 + 0x5]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007fdf22a05800   rbp = 0x00007ffd7e3741f0
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3741c0   r12 = 0x0000046b156820ce
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x0000000000000000   r14 = 0x00007ffd7e374208
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x00007fdf22a05800   rip = 0x00007fdf28891449
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 10  libxul.so!mozilla::TaskController::ProcessPendingMTTask(bool) [TaskController.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 396 + 0xb]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007ffd7e374208   rbp = 0x00007ffd7e374240
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e374200   r12 = 0x0000046b156820ce
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x0000000000000000   r14 = 0x0000000000000000
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x00007fdf22a05800   rip = 0x00007fdf288915af
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 11  libxul.so!mozilla::detail::RunnableFunction<mozilla::TaskController::InitializeInternal()::$_0>::Run() [nsThreadUtils.h:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 534 + 0xf]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007ffd7e374300   rbp = 0x00007ffd7e374250
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e374250   r12 = 0x0000046b156820ce
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x0000000000000000   r14 = 0x00007fdf3908f100
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x00007ffd7e374201   rip = 0x00007fdf288ab8a9
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 12  libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 1159 + 0xe]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007ffd7e374300   rbp = 0x00007ffd7e374390
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e374260   r12 = 0x0000046b156820ce
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x0000000000000000   r14 = 0x00007fdf3908f100
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x00007ffd7e374201   rip = 0x00007fdf2889e2da
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 13  libxul.so!NS_ProcessPendingEvents(nsIThread*, unsigned int) [nsThreadUtils.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 496 + 0xf]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffd7e3743e0
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3743a0   r12 = 0x00007fdf3908f100
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x00007ffd7e3743af   r14 = 0x00000000ffffffff
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x00000000000aec74   rip = 0x00007fdf2889c1a8
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 14  libxul.so!mozilla::ShutdownXPCOM(nsIServiceManager*) [XPCOMInit.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 619 + 0xe]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007ffd7e374408   rbp = 0x00007ffd7e374490
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3743f0   r12 = 0x0000000000000000
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x00007ffd7e375958   r14 = 0x0000000000000000
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x00007ffd7e374400   rip = 0x00007fdf288d8c88
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 15  libxul.so!XRE_TermEmbedding() [nsEmbedFunctions.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 214 + 0x7]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007fdf390cc998   rbp = 0x00007ffd7e3744b0
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3744a0   r12 = 0x00000000000005af
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x00007ffd7e375958   r14 = 0x000000000000000d
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x0000000000000001   rip = 0x00007fdf2ca0fd83
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 16  libxul.so!mozilla::ipc::ScopedXREEmbed::Stop() [ScopedXREEmbed.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 90 + 0x5]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007fdf390cc998   rbp = 0x00007ffd7e3744d0
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3744c0   r12 = 0x00000000000005af
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x00007ffd7e375958   r14 = 0x000000000000000d
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x0000000000000001   rip = 0x00007fdf28f1007e
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 17  libxul.so!XRE_InitChildProcess(int, char**, XREChildData const*) [nsEmbedFunctions.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 742 + 0xe]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x00007fdf390cc000   rbp = 0x00007ffd7e3747b0
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3744e0   r12 = 0x00000000000005af
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x00007ffd7e375958   r14 = 0x000000000000000d
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x0000000000000001   rip = 0x00007fdf2ca1036b
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 18  firefox-bin!content_process_main(mozilla::Bootstrap*, int, char**) [plugin-container.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 57 + 0x11]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x000000000000000f   rbp = 0x00007ffd7e3747f0
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3747c0   r12 = 0x00007ffd7e3747c0
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r13 = 0x00007ffd7e375950   r14 = 0x00007ffd7e375958
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     r15 = 0x00007fdf390026c0   rip = 0x000055c151959e7a
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO - 19  firefox-bin!main [nsBrowserApp.cpp:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 309 + 0x20]
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rbx = 0x0000000000000000   rbp = 0x00007ffd7e375870
[task 2021-04-24T03:18:01.371Z] 03:18:01     INFO -     rsp = 0x00007ffd7e374800   r12 = 0x000055c151959d20
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     r13 = 0x00007ffd7e375950   r14 = 0x000055c1519fc908
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     r15 = 0x000000b9f7046830   rip = 0x000055c15195a205
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO - 20  libc.so.6 + 0x21b97
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     rbx = 0x0000000000000000   rbp = 0x000055c1519f86f0
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     rsp = 0x00007ffd7e375880   r12 = 0x000055c151959d20
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     r13 = 0x00007ffd7e375950   r14 = 0x0000000000000000
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     r15 = 0x0000000000000000   rip = 0x00007fdf39490b97
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     Found by: call frame info
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO - 21  firefox-bin!mozilla::UniquePtr<mozilla::Bootstrap, mozilla::Bootstrap::BootstrapDelete>::~UniquePtr() [UniquePtr.h:3a7d9d49c31660cf6730d40dd5483adb469cb295 : 253 + 0x1f]
[task 2021-04-24T03:18:01.372Z] 03:18:01     INFO -     rsp = 0x00007ffd7e3758a0   rip = 0x000055c151959ec5
[task 2021-04-24T03:18:01.373Z] 03:18:01     INFO -     Found by: stack scanning
[task 2021-04-24T03:18:01.373Z] 03:18:01     INFO -
Whiteboard: [stockwell needswork]

Aryx do you know who can take a look at this?

Flags: needinfo?(aryx.bugmail)

This is a shutdown crash and Core::Strings has no triage owner. Nika, can you take a look at this frequent crash and redirect to Graphics: WebRender if appropriate (crash hits only Linux debug WebRender).

Flags: needinfo?(aryx.bugmail) → needinfo?(nika)
Summary: Intermittent xpcom/string/crashtests/1113005.html (finished) | application crashed [@ mozalloc_handle_oom(unsigned long)] → Intermittent Linux debug webrender xpcom/string/crashtests/1113005.html (finished) | application crashed [@ mozalloc_handle_oom(unsigned long)]
See Also: → 1306804
See Also: → 1275951
See Also: → 1684716

I noticed this crash in bug 1358898 comment 422, and did a write-up of some interesting things I noticed about it (such as how the OOM is for an extremely large nsTArray).

Taking a look at the crash from comment 11, it appears as though the allocation size which failed was different in this one than the other (0x1C600000 rather than 0x28700000), which lines up with ASAN using more memory, and causing an OOM earlier.

Flags: needinfo?(nika)

There are 43 total failures in the last 7 days on linux1804-64-qr debug
Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=337894794&repo=autoland&lineNumber=81998

[task 2021-04-27T19:24:28.556Z] 19:24:28 INFO - REFTEST TEST-START | xpcom/string/crashtests/1113005.html
[task 2021-04-27T19:24:28.556Z] 19:24:28 INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/xpcom/string/crashtests/1113005.html | 3912 / 3913 (99%)
[task 2021-04-27T19:24:28.622Z] 19:24:28 INFO - [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/startupcache/StartupCacheUtils.cpp:153
[task 2021-04-27T19:24:28.624Z] 19:24:28 INFO - JavaScript error: resource://specialpowers/AppTestDelegateParent.jsm, line 10: NS_ERROR_NOT_AVAILABLE:
[task 2021-04-27T19:24:28.650Z] 19:24:28 INFO - console.warn: LoginHelper(Content): "Couldn't parse origin for" "data:text/html," ({})
[task 2021-04-27T19:24:28.654Z] 19:24:28 INFO - console.warn: LoginHelper(Content): "Couldn't parse origin for" null ({})
[task 2021-04-27T19:24:28.656Z] 19:24:28 INFO - console.warn: LoginRecipes: "getRecipes: falling back to a synchronous message for:" "file://"
[task 2021-04-27T19:24:28.664Z] 19:24:28 INFO - [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/startupcache/StartupCacheUtils.cpp:153
[task 2021-04-27T19:24:28.665Z] 19:24:28 INFO - JavaScript error: resource://specialpowers/AppTestDelegateParent.jsm, line 10: NS_ERROR_NOT_AVAILABLE:
[task 2021-04-27T19:24:28.672Z] 19:24:28 INFO - console.warn: LoginHelper(Content): "Couldn't parse origin for" null ({})
[task 2021-04-27T19:24:28.699Z] 19:24:28 INFO - [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/startupcache/StartupCacheUtils.cpp:153
[task 2021-04-27T19:24:28.701Z] 19:24:28 INFO - JavaScript error: resource://specialpowers/AppTestDelegateParent.jsm, line 10: NS_ERROR_NOT_AVAILABLE:
[task 2021-04-27T19:24:29.812Z] 19:24:29 INFO - [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/startupcache/StartupCacheUtils.cpp:153
[task 2021-04-27T19:24:29.813Z] 19:24:29 INFO - JavaScript error: resource://specialpowers/AppTestDelegateParent.jsm, line 10: NS_ERROR_NOT_AVAILABLE:
[task 2021-04-27T19:24:29.815Z] 19:24:29 INFO - [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/startupcache/StartupCacheUtils.cpp:153
[task 2021-04-27T19:24:29.816Z] 19:24:29 INFO - JavaScript error: resource://specialpowers/AppTestDelegateParent.jsm, line 10: NS_ERROR_NOT_AVAILABLE:
[task 2021-04-27T19:24:29.852Z] 19:24:29 INFO - REFTEST TEST-PASS | xpcom/string/crashtests/1113005.html | (LOAD ONLY)
[task 2021-04-27T19:24:29.853Z] 19:24:29 INFO - REFTEST TEST-END | xpcom/string/crashtests/1113005.html
[task 2021-04-27T19:24:29.871Z] 19:24:29 INFO - [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/startupcache/StartupCacheUtils.cpp:153
[task 2021-04-27T19:24:29.872Z] 19:24:29 INFO - JavaScript error: resource://specialpowers/AppTestDelegateParent.jsm, line 10: NS_ERROR_NOT_AVAILABLE:
[task 2021-04-27T19:24:29.875Z] 19:24:29 INFO - [Parent 1457, Main Thread] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80040111 (NS_ERROR_NOT_AVAILABLE): file /builds/worker/checkouts/gecko/startupcache/StartupCacheUtils.cpp:153
[task 2021-04-27T19:24:29.875Z] 19:24:29 INFO - JavaScript error: resource://specialpowers/AppTestDelegateParent.jsm, line 10: NS_ERROR_NOT_AVAILABLE:
[task 2021-04-27T19:24:29.881Z] 19:24:29 INFO - REFTEST INFO | Result summary:
[task 2021-04-27T19:24:29.881Z] 19:24:29 INFO - REFTEST INFO | Successful: 3899 (1 pass, 3898 load only)
[task 2021-04-27T19:24:29.881Z] 19:24:29 INFO - REFTEST INFO | Unexpected: 0 (0 unexpected fail, 0 unexpected pass, 0 unexpected asserts, 0 failed load, 0 exception)
[task 2021-04-27T19:24:29.881Z] 19:24:29 INFO - REFTEST INFO | Known problems: 56 (0 known fail, 42 known asserts, 0 random, 14 skipped, 0 slow)
[task 2021-04-27T19:24:29.881Z] 19:24:29 INFO - REFTEST SUITE-END | Shutdown
[task 2021-04-27T19:24:29.883Z] 19:24:29 INFO - REFTEST INFO | Slowest test took 59346ms (file:///builds/worker/workspace/build/tests/reftest/tests/dom/svg/crashtests/1507961-1.html)
[task 2021-04-27T19:24:29.883Z] 19:24:29 INFO - REFTEST INFO | Total canvas count = 2
[task 2021-04-27T19:24:30.133Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.135Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.179Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.190Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.192Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.199Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.204Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.206Z] 19:24:30 INFO - [Child 1563, Main Thread] WARNING: '!CanSend() || !mManager || !mManager->CanSend()', file /builds/worker/checkouts/gecko/dom/ipc/jsactor/JSWindowActorChild.cpp:40
[task 2021-04-27T19:24:30.232Z] 19:24:30 INFO - [Parent 1457, Main Thread] WARNING: '!mIMContext', file /builds/worker/checkouts/gecko/widget/gtk/nsWindow.cpp:7575
[task 2021-04-27T19:24:30.234Z] 19:24:30 INFO - [Parent 1457, Main Thread] WARNING: '!mIMContext', file /builds/worker/checkouts/gecko/widget/gtk/nsWindow.cpp:7575
[task 2021-04-27T19:24:30.234Z] 19:24:30 INFO - [Parent 1457, Main Thread] WARNING: '!mIMContext', file /builds/worker/checkouts/gecko/widget/gtk/nsWindow.cpp:7575
[task 2021-04-27T19:24:30.235Z] 19:24:30 INFO - [Parent 1457, Main Thread] WARNING: '!mIMContext', file /builds/worker/checkouts/gecko/widget/gtk/nsWindow.cpp:7575
[task 2021-04-27T19:24:30.371Z] 19:24:30 INFO - [Parent 1457, Compositor] WARNING: Possibly dropping task posted to updater thread: file /builds/worker/checkouts/gecko/gfx/layers/apz/src/APZUpdater.cpp:370

[task 2021-04-27T19:24:45.545Z] 19:24:45 INFO - REFTEST PROCESS-CRASH | xpcom/string/crashtests/1113005.html (finished) | application crashed [@ mozalloc_handle_oom(unsigned long)]
[task 2021-04-27T19:24:45.545Z] 19:24:45 INFO - Crash dump filename: /tmp/tmpkrtn6480.mozrunner/minidumps/073393b5-64d6-f5d0-2b4c-bf5a7ea7217d.dmp
[task 2021-04-27T19:24:45.546Z] 19:24:45 INFO - Operating system: Linux
[task 2021-04-27T19:24:45.546Z] 19:24:45 INFO - 0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2021-04-27T19:24:45.546Z] 19:24:45 INFO - CPU: amd64
[task 2021-04-27T19:24:45.547Z] 19:24:45 INFO - family 6 model 85 stepping 7
[task 2021-04-27T19:24:45.547Z] 19:24:45 INFO - 2 CPUs
[task 2021-04-27T19:24:45.547Z] 19:24:45 INFO -
[task 2021-04-27T19:24:45.547Z] 19:24:45 INFO - GPU: UNKNOWN
[task 2021-04-27T19:24:45.548Z] 19:24:45 INFO -
[task 2021-04-27T19:24:45.548Z] 19:24:45 INFO - Crash reason: SIGSEGV /SEGV_MAPERR
[task 2021-04-27T19:24:45.548Z] 19:24:45 INFO - Crash address: 0x0
[task 2021-04-27T19:24:45.549Z] 19:24:45 INFO - Process uptime: not available
[task 2021-04-27T19:24:45.549Z] 19:24:45 INFO -
[task 2021-04-27T19:24:45.549Z] 19:24:45 INFO - Thread 0 (crashed)
[task 2021-04-27T19:24:45.550Z] 19:24:45 INFO - 0 firefox-bin!mozalloc_abort [mozalloc_abort.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 33 + 0x16]
[task 2021-04-27T19:24:45.550Z] 19:24:45 INFO - rax = 0x000055902a4e3363 rdx = 0x0000000000000000
[task 2021-04-27T19:24:45.550Z] 19:24:45 INFO - rcx = 0x000055902a5bb908 rbx = 0x00007f7619f85840
[task 2021-04-27T19:24:45.551Z] 19:24:45 INFO - rsi = 0x00007f7619f868b0 rdi = 0x00007f7619f85680
[task 2021-04-27T19:24:45.551Z] 19:24:45 INFO - rbp = 0x00007ffd783d90d0 rsp = 0x00007ffd783d90c0
[task 2021-04-27T19:24:45.551Z] 19:24:45 INFO - r8 = 0x00007f7619f868b0 r9 = 0x00007f761ae7c780
[task 2021-04-27T19:24:45.551Z] 19:24:45 INFO - r10 = 0x0000000000000000 r11 = 0x0000000000000000
[task 2021-04-27T19:24:45.552Z] 19:24:45 INFO - r12 = 0x0000000003260000 r13 = 0x00007f75fc1bb880
[task 2021-04-27T19:24:45.552Z] 19:24:45 INFO - r14 = 0x00007f74d9a00000 r15 = 0x0000000000000008
[task 2021-04-27T19:24:45.552Z] 19:24:45 INFO - rip = 0x000055902a53dbe9
[task 2021-04-27T19:24:45.552Z] 19:24:45 INFO - Found by: given as instruction pointer in context
[task 2021-04-27T19:24:45.552Z] 19:24:45 INFO - 1 firefox-bin!mozalloc_handle_oom(unsigned long) [mozalloc_oom.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 51 + 0x5]
[task 2021-04-27T19:24:45.552Z] 19:24:45 INFO - rbx = 0x0000000000000000 rbp = 0x00007ffd783d9120
[task 2021-04-27T19:24:45.552Z] 19:24:45 INFO - rsp = 0x00007ffd783d90e0 r12 = 0x0000000003260000
[task 2021-04-27T19:24:45.553Z] 19:24:45 INFO - r13 = 0x00007f75fc1bb880 r14 = 0x00007f74d9a00000
[task 2021-04-27T19:24:45.553Z] 19:24:45 INFO - r15 = 0x0000000000000008 rip = 0x000055902a53dce2
[task 2021-04-27T19:24:45.553Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.553Z] 19:24:45 INFO - 2 firefox-bin!moz_xrealloc [mozalloc.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 74 + 0x8]
[task 2021-04-27T19:24:45.553Z] 19:24:45 INFO - rbx = 0x000000001c600000 rbp = 0x00007ffd783d9140
[task 2021-04-27T19:24:45.553Z] 19:24:45 INFO - rsp = 0x00007ffd783d9130 r12 = 0x0000000003260000
[task 2021-04-27T19:24:45.553Z] 19:24:45 INFO - r13 = 0x00007f75fc1bb880 r14 = 0x00007f74d9a00000
[task 2021-04-27T19:24:45.554Z] 19:24:45 INFO - r15 = 0x0000000000000008 rip = 0x000055902a53ddc4
[task 2021-04-27T19:24:45.554Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.554Z] 19:24:45 INFO - 3 libxul.so!nsTArrayInfallibleAllocator::ResultTypeProxy nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_RelocateUsingMemutils>::EnsureCapacity<nsTArrayInfallibleAllocator>(unsigned long, unsigned long) [nsTArray-inl.h:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 210 + 0xb]
[task 2021-04-27T19:24:45.554Z] 19:24:45 INFO - rbx = 0x000000001c600000 rbp = 0x00007ffd783d9180
[task 2021-04-27T19:24:45.554Z] 19:24:45 INFO - rsp = 0x00007ffd783d9150 r12 = 0x0000000003260000
[task 2021-04-27T19:24:45.554Z] 19:24:45 INFO - r13 = 0x00007f75fc1bb880 r14 = 0x00007f75fc1bb888
[task 2021-04-27T19:24:45.554Z] 19:24:45 INFO - r15 = 0x0000000000000008 rip = 0x00007f7608e81ae1
[task 2021-04-27T19:24:45.555Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.555Z] 19:24:45 INFO - 4 libxul.so!mozilla::net::ChannelEventQueue::RunOrEnqueue(mozilla::net::ChannelEvent*, bool) [ChannelEventQueue.h:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 218 + 0x17]
[task 2021-04-27T19:24:45.555Z] 19:24:45 INFO - rbx = 0x00007f75fc1d0880 rbp = 0x00007ffd783d91e0
[task 2021-04-27T19:24:45.555Z] 19:24:45 INFO - rsp = 0x00007ffd783d9190 r12 = 0x0000000000000000
[task 2021-04-27T19:24:45.555Z] 19:24:45 INFO - r13 = 0x00007f75fc1bb880 r14 = 0x00007f75fc1bb8f0
[task 2021-04-27T19:24:45.555Z] 19:24:45 INFO - r15 = 0x00007f75fc1bb8a8 rip = 0x00007f76093701b1
[task 2021-04-27T19:24:45.555Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.556Z] 19:24:45 INFO - 5 libxul.so!mozilla::net::HttpChannelChild::DoNotifyListener() [HttpChannelChild.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 1245 + 0x1b]
[task 2021-04-27T19:24:45.556Z] 19:24:45 INFO - rbx = 0x00007f75fc1d0800 rbp = 0x00007ffd783d9240
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - rsp = 0x00007ffd783d91f0 r12 = 0x00007ffd783d91f8
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - r13 = 0x00007ffd783d9270 r14 = 0x00007f75fc1bb880
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - r15 = 0x00007f74d2edeec0 rip = 0x00007f760940186a
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - 6 libxul.so!mozilla::detail::RunnableMethodImpl<RefPtr<mozilla::net::HttpChannelChild>, void (mozilla::net::HttpChannelChild::)(), true, (mozilla::RunnableKind)0, >::Run() [nsThreadUtils.h:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 1201 + 0x17]
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - rbx = 0x0000000000000022 rbp = 0x00007ffd783d9250
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - rsp = 0x00007ffd783d9250 r12 = 0x00007f75fbc151f0
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - r13 = 0x00007ffd783d9270 r14 = 0x00007f760ff40ad8
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - r15 = 0x00007f75fbc15180 rip = 0x00007f76094339ef
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - 7 libxul.so!mozilla::RunnableTask::Run() [TaskController.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 473 + 0x11]
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - rbx = 0x0000000000000022 rbp = 0x00007ffd783d96e0
[task 2021-04-27T19:24:45.557Z] 19:24:45 INFO - rsp = 0x00007ffd783d9260 r12 = 0x00007f75fbc151f0
[task 2021-04-27T19:24:45.558Z] 19:24:45 INFO - r13 = 0x00007ffd783d9270 r14 = 0x00007f760ff40ad8
[task 2021-04-27T19:24:45.558Z] 19:24:45 INFO - r15 = 0x00007f75fbc15180 rip = 0x00007f7608fa152d
[task 2021-04-27T19:24:45.558Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.558Z] 19:24:45 INFO - 8 libxul.so!mozilla::TaskController::DoExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 757 + 0x9]
[task 2021-04-27T19:24:45.559Z] 19:24:45 INFO - rbx = 0x00007ffd783d9740 rbp = 0x00007ffd783d9900
[task 2021-04-27T19:24:45.559Z] 19:24:45 INFO - rsp = 0x00007ffd783d96f0 r12 = 0x0000000000000000
[task 2021-04-27T19:24:45.559Z] 19:24:45 INFO - r13 = 0x0000000000000000 r14 = 0x00007f75fbc15180
[task 2021-04-27T19:24:45.559Z] 19:24:45 INFO - r15 = 0xaaaaaaaaaaaaaaaa rip = 0x00007f7608f8b31c
[task 2021-04-27T19:24:45.560Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.560Z] 19:24:45 INFO - 9 libxul.so!mozilla::TaskController::ExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 612 + 0x5]
[task 2021-04-27T19:24:45.560Z] 19:24:45 INFO - rbx = 0x00007f7603105800 rbp = 0x00007ffd783d9940
[task 2021-04-27T19:24:45.560Z] 19:24:45 INFO - rsp = 0x00007ffd783d9910 r12 = 0x00000463d3232880
[task 2021-04-27T19:24:45.561Z] 19:24:45 INFO - r13 = 0x0000000000000000 r14 = 0x00007ffd783d9958
[task 2021-04-27T19:24:45.561Z] 19:24:45 INFO - r15 = 0x00007f7603105800 rip = 0x00007f7608f8a5e7
[task 2021-04-27T19:24:45.561Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.561Z] 19:24:45 INFO - 10 libxul.so!mozilla::TaskController::ProcessPendingMTTask(bool) [TaskController.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 396 + 0xb]
[task 2021-04-27T19:24:45.562Z] 19:24:45 INFO - rbx = 0x00007ffd783d9958 rbp = 0x00007ffd783d9990
[task 2021-04-27T19:24:45.562Z] 19:24:45 INFO - rsp = 0x00007ffd783d9950 r12 = 0x00000463d3232880
[task 2021-04-27T19:24:45.562Z] 19:24:45 INFO - r13 = 0x0000000000000000 r14 = 0x0000000000000000
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - r15 = 0x00007f7603105800 rip = 0x00007f7608f8a74d
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - 11 libxul.so!mozilla::detail::RunnableFunction<mozilla::TaskController::InitializeInternal()::$_0>::Run() [nsThreadUtils.h:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 534 + 0xf]
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - rbx = 0x00007ffd783d9a50 rbp = 0x00007ffd783d99a0
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - rsp = 0x00007ffd783d99a0 r12 = 0x00000463d3232880
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - r13 = 0x0000000000000000 r14 = 0x00007f761978f100
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - r15 = 0x00007ffd783d9901 rip = 0x00007f7608fa4a47
[task 2021-04-27T19:24:45.563Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.564Z] 19:24:45 INFO - 12 libxul.so!nsThread::ProcessNextEvent(bool, bool
) [nsThread.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 1159 + 0xe]
[task 2021-04-27T19:24:45.564Z] 19:24:45 INFO - rbx = 0x00007ffd783d9a50 rbp = 0x00007ffd783d9ae0
[task 2021-04-27T19:24:45.564Z] 19:24:45 INFO - rsp = 0x00007ffd783d99b0 r12 = 0x00000463d3232880
[task 2021-04-27T19:24:45.564Z] 19:24:45 INFO - r13 = 0x0000000000000000 r14 = 0x00007f761978f100
[task 2021-04-27T19:24:45.565Z] 19:24:45 INFO - r15 = 0x00007ffd783d9901 rip = 0x00007f7608f97478
[task 2021-04-27T19:24:45.565Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.565Z] 19:24:45 INFO - 13 libxul.so!NS_ProcessPendingEvents(nsIThread*, unsigned int) [nsThreadUtils.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 496 + 0xf]
[task 2021-04-27T19:24:45.566Z] 19:24:45 INFO - rbx = 0x0000000000000000 rbp = 0x00007ffd783d9b30
[task 2021-04-27T19:24:45.566Z] 19:24:45 INFO - rsp = 0x00007ffd783d9af0 r12 = 0x00007f761978f100
[task 2021-04-27T19:24:45.566Z] 19:24:45 INFO - r13 = 0x00007ffd783d9aff r14 = 0x00000000ffffffff
[task 2021-04-27T19:24:45.566Z] 19:24:45 INFO - r15 = 0x00000000000b0eb8 rip = 0x00007f7608f95346
[task 2021-04-27T19:24:45.567Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.567Z] 19:24:45 INFO - 14 libxul.so!mozilla::ShutdownXPCOM(nsIServiceManager*) [XPCOMInit.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 619 + 0xe]
[task 2021-04-27T19:24:45.567Z] 19:24:45 INFO - rbx = 0x00007ffd783d9b58 rbp = 0x00007ffd783d9be0
[task 2021-04-27T19:24:45.567Z] 19:24:45 INFO - rsp = 0x00007ffd783d9b40 r12 = 0x0000000000000000
[task 2021-04-27T19:24:45.568Z] 19:24:45 INFO - r13 = 0x00007ffd783db0a8 r14 = 0x0000000000000000
[task 2021-04-27T19:24:45.568Z] 19:24:45 INFO - r15 = 0x00007ffd783d9b50 rip = 0x00007f7608fd1e28
[task 2021-04-27T19:24:45.568Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.568Z] 19:24:45 INFO - 15 libxul.so!XRE_TermEmbedding() [nsEmbedFunctions.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 214 + 0x7]
[task 2021-04-27T19:24:45.569Z] 19:24:45 INFO - rbx = 0x00007f76197cc998 rbp = 0x00007ffd783d9c00
[task 2021-04-27T19:24:45.569Z] 19:24:45 INFO - rsp = 0x00007ffd783d9bf0 r12 = 0x00000000000005b1
[task 2021-04-27T19:24:45.569Z] 19:24:45 INFO - r13 = 0x00007ffd783db0a8 r14 = 0x000000000000000d
[task 2021-04-27T19:24:45.569Z] 19:24:45 INFO - r15 = 0x0000000000000001 rip = 0x00007f760d10cd09
[task 2021-04-27T19:24:45.570Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.570Z] 19:24:45 INFO - 16 libxul.so!mozilla::ipc::ScopedXREEmbed::Stop() [ScopedXREEmbed.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 90 + 0x5]
[task 2021-04-27T19:24:45.570Z] 19:24:45 INFO - rbx = 0x00007f76197cc998 rbp = 0x00007ffd783d9c20
[task 2021-04-27T19:24:45.571Z] 19:24:45 INFO - rsp = 0x00007ffd783d9c10 r12 = 0x00000000000005b1
[task 2021-04-27T19:24:45.571Z] 19:24:45 INFO - r13 = 0x00007ffd783db0a8 r14 = 0x000000000000000d
[task 2021-04-27T19:24:45.571Z] 19:24:45 INFO - r15 = 0x0000000000000001 rip = 0x00007f7609613812
[task 2021-04-27T19:24:45.571Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.572Z] 19:24:45 INFO - 17 libxul.so!XRE_InitChildProcess(int, char**, XREChildData const*) [nsEmbedFunctions.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 742 + 0xe]
[task 2021-04-27T19:24:45.572Z] 19:24:45 INFO - rbx = 0x00007f76197cc000 rbp = 0x00007ffd783d9f00
[task 2021-04-27T19:24:45.572Z] 19:24:45 INFO - rsp = 0x00007ffd783d9c30 r12 = 0x00000000000005b1
[task 2021-04-27T19:24:45.573Z] 19:24:45 INFO - r13 = 0x00007ffd783db0a8 r14 = 0x000000000000000d
[task 2021-04-27T19:24:45.573Z] 19:24:45 INFO - r15 = 0x0000000000000001 rip = 0x00007f760d10d2f1
[task 2021-04-27T19:24:45.573Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.574Z] 19:24:45 INFO - 18 firefox-bin!content_process_main(mozilla::Bootstrap*, int, char**) [plugin-container.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 57 + 0x11]
[task 2021-04-27T19:24:45.574Z] 19:24:45 INFO - rbx = 0x000000000000000f rbp = 0x00007ffd783d9f40
[task 2021-04-27T19:24:45.574Z] 19:24:45 INFO - rsp = 0x00007ffd783d9f10 r12 = 0x00007ffd783d9f10
[task 2021-04-27T19:24:45.575Z] 19:24:45 INFO - r13 = 0x00007ffd783db0a0 r14 = 0x00007ffd783db0a8
[task 2021-04-27T19:24:45.575Z] 19:24:45 INFO - r15 = 0x00007f76197026c0 rip = 0x000055902a516e7a
[task 2021-04-27T19:24:45.575Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.575Z] 19:24:45 INFO - 19 firefox-bin!main [nsBrowserApp.cpp:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 309 + 0x20]
[task 2021-04-27T19:24:45.575Z] 19:24:45 INFO - rbx = 0x0000000000000000 rbp = 0x00007ffd783dafc0
[task 2021-04-27T19:24:45.576Z] 19:24:45 INFO - rsp = 0x00007ffd783d9f50 r12 = 0x000055902a516d20
[task 2021-04-27T19:24:45.576Z] 19:24:45 INFO - r13 = 0x00007ffd783db0a0 r14 = 0x000055902a5b9908
[task 2021-04-27T19:24:45.576Z] 19:24:45 INFO - r15 = 0x000000bbe9f49c1c rip = 0x000055902a517205
[task 2021-04-27T19:24:45.576Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.576Z] 19:24:45 INFO - 20 libc.so.6 + 0x21b97
[task 2021-04-27T19:24:45.576Z] 19:24:45 INFO - rbx = 0x0000000000000000 rbp = 0x000055902a5b56f0
[task 2021-04-27T19:24:45.576Z] 19:24:45 INFO - rsp = 0x00007ffd783dafd0 r12 = 0x000055902a516d20
[task 2021-04-27T19:24:45.577Z] 19:24:45 INFO - r13 = 0x00007ffd783db0a0 r14 = 0x0000000000000000
[task 2021-04-27T19:24:45.577Z] 19:24:45 INFO - r15 = 0x0000000000000000 rip = 0x00007f7619bbab97
[task 2021-04-27T19:24:45.577Z] 19:24:45 INFO - Found by: call frame info
[task 2021-04-27T19:24:45.577Z] 19:24:45 INFO - 21 firefox-bin!mozilla::UniquePtr<mozilla::Bootstrap, mozilla::Bootstrap::BootstrapDelete>::~UniquePtr() [UniquePtr.h:f8cb1694d6629d9b3b084f109ee5236d4df2956c : 253 + 0x1f]
[task 2021-04-27T19:24:45.577Z] 19:24:45 INFO - rsp = 0x00007ffd783daff0 rip = 0x000055902a516ec5
[task 2021-04-27T19:24:45.577Z] 19:24:45 INFO - Found by: stack scanning

Update:

There have been 39 failures within the last 7 days, all of them on Linux 18.04 x64 WebRender debug.

Recent failure: https://treeherder.mozilla.org/logviewer?job_id=338436550&repo=autoland&lineNumber=93279

Assignee: nobody → apavel
Status: NEW → ASSIGNED
Assignee: apavel → nobody
Status: ASSIGNED → NEW
Assignee: nobody → apavel
Status: NEW → ASSIGNED
Assignee: apavel → nobody
Status: ASSIGNED → NEW
Keywords: leave-open
Whiteboard: [stockwell needswork] → [stockwell needswork][stockwell disabled]
Pushed by apavel@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/a89ba56bf7f1
disable 1113005.html on linux-qr r=intermittent-reviewers,ahal DONTBUILD

There have been 49 total failures in the last 7 days (recent failure log).
Only affected platform is linux1804-64-qr debug.

Nika, are there any updates on this?

Flags: needinfo?(nika)

As I mentioned in comment 15, I came across this crash when looking at some other crash reports a while back and put a summary in bug 1358898 comment 422. Quoting that summary with updated searchfox links:

This appears to be crashing in the runnable dispatched from https://searchfox.org/mozilla-central/rev/5227b2bd674d49c0eba365a709d3fb341534f361/netwerk/protocol/http/HttpChannelChild.cpp#222-225 due to an OOM. The RunOrEnqueue call appears to be OOM-ing here: https://searchfox.org/mozilla-central/rev/5227b2bd674d49c0eba365a709d3fb341534f361/netwerk/ipc/ChannelEventQueue.h#218

The size of the allocation here is especially suspect, as mEventQueue is a nsTArray<UniquePtr<...>>, meaning that the allocation is trying to reserve enough space for ~84,803,583 events. Based on my understanding of our growth algorithm, this implies that we're trying to add our ~75,366,400th event, which is an absurd number of events to have queued.

Based on a second quick read of the code around this, this seems like a possible situation which could lead to endlessly appending elements to the mEventQueue, and thus lead to this crash happening due to an eventual OOM (though there may be some other situation leading to the crash):

  1. A HTTPChannelChild is put into a suspended state in some way (any of the conditions in ChannelEventQueue::RunOrEnqueue here: https://searchfox.org/mozilla-central/rev/5227b2bd674d49c0eba365a709d3fb341534f361/netwerk/ipc/ChannelEventQueue.h#213-215). My initial impression is that the most likely way this could happen is by suspending the channel.
  2. The last reference to the channel is dropped, causing us to enter this block of code: https://searchfox.org/mozilla-central/rev/5227b2bd674d49c0eba365a709d3fb341534f361/netwerk/protocol/http/HttpChannelChild.cpp#192-242. As we've been suspended, we've never delivered an OnStopRequest notification, so we re-acquire a strong reference, and use it to call HttpChannelChild::DoNotifyListener async (https://searchfox.org/mozilla-central/rev/5227b2bd674d49c0eba365a709d3fb341534f361/netwerk/protocol/http/HttpChannelChild.cpp#192-242).
  3. When DoNotifyListener is called, it calls mEventQ->RunOrEnqueue at the end of the function. This holds a non-owning pointer to the HttpChannelChild. As the channel is still suspended, rather than being run immediately, the ContinueDoNotifyListener message is queued up in mEventQueue to be processed when unsuspended, and the function returns.
  4. When this runnable is destroyed, it drops the strong reference to the HTTPChannelChild. This is the only reference to the channel, so we goto step 2, and loop.

As every step in this process queues up a new task, and never processes one, the shutdown event processing loop will never become empty, and we'll end up endlessly appending new events to trigger ContinueDoNotifyListener/OnStopRequest, to the queue. This eventually ends in an OOM crash like this one.

ni? :jstutte and moving to Core:Networking as this is a necko issue.

Component: String → Networking: HTTP
Flags: needinfo?(nika) → needinfo?(jstutte)
Flags: needinfo?(jstutte) → needinfo?(kershaw)
Assignee: nobody → kershaw
Flags: needinfo?(kershaw)
Priority: -- → P2
Whiteboard: [stockwell unknown] → [stockwell unknown][necko-triaged]
Whiteboard: [stockwell unknown][necko-triaged] → [stockwell needswork:owner][necko-triaged]
Whiteboard: [necko-triaged][stockwell disable-recommended] → [necko-triaged][stockwell needswork:owner]

Update:
There have been 86 failures within the last 7 days, all on Linux 18.04 x64 WebRender debug.
Recent failure log: https://treeherder.mozilla.org/logviewer?job_id=346201838&repo=mozilla-central&lineNumber=55917

[task 2021-07-23T22:49:08.135Z] 22:49:08     INFO - REFTEST TEST-START | xpcom/string/crashtests/1113005.html
[task 2021-07-23T22:49:08.137Z] 22:49:08     INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/xpcom/string/crashtests/1113005.html | 3923 / 3924 (99%)
[task 2021-07-23T22:49:08.145Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.156Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.181Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: '!wc', file /builds/worker/checkouts/gecko/dom/base/ThirdPartyUtil.cpp:226
[task 2021-07-23T22:49:08.181Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: '!wc', file /builds/worker/checkouts/gecko/dom/base/ThirdPartyUtil.cpp:226
[task 2021-07-23T22:49:08.181Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: '!wc', file /builds/worker/checkouts/gecko/dom/base/ThirdPartyUtil.cpp:226
[task 2021-07-23T22:49:08.204Z] 22:49:08     INFO - console.warn: LoginHelper(Content): "Couldn't parse origin for" "data:text/html," ({})
[task 2021-07-23T22:49:08.207Z] 22:49:08     INFO - console.warn: LoginHelper(Content): "Couldn't parse origin for" null ({})
[task 2021-07-23T22:49:08.208Z] 22:49:08     INFO - console.warn: LoginRecipes: "getRecipes: falling back to a synchronous message for:" "file://"
[task 2021-07-23T22:49:08.218Z] 22:49:08     INFO - console.warn: LoginHelper(Content): "Couldn't parse origin for" null ({})
[task 2021-07-23T22:49:08.263Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.314Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.331Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.346Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.357Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.469Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.481Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.496Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.514Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.528Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.546Z] 22:49:08     INFO - [Child 1662, Main Thread] WARNING: early callback, or time went backwards: '!aAllowIdleDispatch', file /builds/worker/checkouts/gecko/xpcom/threads/IdleTaskRunner.cpp:179
[task 2021-07-23T22:49:08.733Z] 22:49:08     INFO - REFTEST TEST-PASS | xpcom/string/crashtests/1113005.html | (LOAD ONLY)
[task 2021-07-23T22:49:08.734Z] 22:49:08     INFO - REFTEST TEST-END | xpcom/string/crashtests/1113005.html
[task 2021-07-23T22:49:08.797Z] 22:49:08     INFO - REFTEST INFO | Result summary:
[task 2021-07-23T22:49:08.797Z] 22:49:08     INFO - REFTEST INFO | Successful: 3908 (1 pass, 3907 load only)
[task 2021-07-23T22:49:08.797Z] 22:49:08     INFO - REFTEST INFO | Unexpected: 0 (0 unexpected fail, 0 unexpected pass, 0 unexpected asserts, 0 failed load, 0 exception)
<...>
[task 2021-07-23T22:49:22.011Z] 22:49:22     INFO - REFTEST INFO | Saved minidump as /builds/worker/workspace/build/blobber_upload_dir/3aedbfa6-ec45-4963-c07c-df382b54cc55.dmp
[task 2021-07-23T22:49:22.083Z] 22:49:22     INFO - REFTEST PROCESS-CRASH | xpcom/string/crashtests/1113005.html (finished) | application crashed [@ mozalloc_handle_oom(unsigned long)]
[task 2021-07-23T22:49:22.083Z] 22:49:22     INFO - Crash dump filename: /tmp/tmpmamwherl.mozrunner/minidumps/3aedbfa6-ec45-4963-c07c-df382b54cc55.dmp
[task 2021-07-23T22:49:22.083Z] 22:49:22     INFO - Operating system: Linux
[task 2021-07-23T22:49:22.083Z] 22:49:22     INFO -                   0.0.0 Linux 4.4.0-1014-aws #14taskcluster1-Ubuntu SMP Tue Apr 3 10:27:00 UTC 2018 x86_64
[task 2021-07-23T22:49:22.083Z] 22:49:22     INFO - CPU: amd64
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -      family 6 model 85 stepping 4
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -      2 CPUs
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - 
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - GPU: UNKNOWN
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - 
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - Crash reason:  SIGSEGV /SEGV_MAPERR
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - Crash address: 0x0
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - Process uptime: not available
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - 
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO - Thread 0 (crashed) - Web Content 0  firefox-bin!mozalloc_abort [mozalloc_abort.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 33 + 0x16]
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     rax = 0x0000559423524e43   rdx = 0x0000000000000000
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     rcx = 0x00005594235fd660   rbx = 0x00007f01e1097840
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     rsi = 0x00007f01e10988b0   rdi = 0x00007f01e1097680
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     rbp = 0x00007fffc257b680   rsp = 0x00007fffc257b670
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -      r8 = 0x00007f01e10988b0    r9 = 0x00007f01e1f8d780
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     r10 = 0x0000000000000000   r11 = 0x0000000000000000
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     r12 = 0x00000000038c0000   r13 = 0x00007f01c47ca7c0
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     r14 = 0x00007f01c47ca7c8   r15 = 0x0000000000000008
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     rip = 0x000055942357eba9
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     Found by: given as instruction pointer in context
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -  1  firefox-bin!mozalloc_handle_oom(unsigned long) [mozalloc_oom.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 51 + 0x5]
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     rbx = 0x000000001ff00000   rbp = 0x00007fffc257b6d0
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     rsp = 0x00007fffc257b690   r12 = 0x00000000038c0000
[task 2021-07-23T22:49:22.084Z] 22:49:22     INFO -     r13 = 0x00007f01c47ca7c0   r14 = 0x00007f01c47ca7c8
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r15 = 0x0000000000000008   rip = 0x000055942357ec8d
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -  2  firefox-bin!moz_xrealloc [mozalloc.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 74 + 0x8]
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rbx = 0x000000001ff00000   rbp = 0x00007fffc257b6f0
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rsp = 0x00007fffc257b6e0   r12 = 0x00000000038c0000
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r13 = 0x00007f01c47ca7c0   r14 = 0x00007f01c47ca7c8
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r15 = 0x0000000000000008   rip = 0x000055942357ed68
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -  3  libxul.so!nsTArrayInfallibleAllocator::ResultTypeProxy nsTArray_base<nsTArrayInfallibleAllocator, nsTArray_RelocateUsingMemutils>::EnsureCapacity<nsTArrayInfallibleAllocator>(unsigned long, unsigned long) [nsTArray-inl.h:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 223 + 0xb]
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rbx = 0x000000001ff00000   rbp = 0x00007fffc257b730
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rsp = 0x00007fffc257b700   r12 = 0x00000000038c0000
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r13 = 0x00007f01c47ca7c0   r14 = 0x00007f01c47ca7c8
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r15 = 0x0000000000000008   rip = 0x00007f01d004f536
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -  4  libxul.so!mozilla::net::ChannelEventQueue::RunOrEnqueue(mozilla::net::ChannelEvent*, bool) [ChannelEventQueue.h:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 218 + 0x17]
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rbx = 0x00007f01c512e880   rbp = 0x00007fffc257b790
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rsp = 0x00007fffc257b740   r12 = 0x0000000000000000
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r13 = 0x00007f01c47ca7c0   r14 = 0x00007f01c47ca830
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r15 = 0x00007f01c47ca7e8   rip = 0x00007f01d05478c7
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -  5  libxul.so!mozilla::net::HttpChannelChild::DoNotifyListener() [HttpChannelChild.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 1213 + 0x1b]
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rbx = 0x00007f01c512e800   rbp = 0x00007fffc257b7f0
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rsp = 0x00007fffc257b7a0   r12 = 0x00007fffc257b7a8
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r13 = 0x00007f01d709b279   r14 = 0x00007f01c47ca7c0
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r15 = 0x00007f007724e380   rip = 0x00007f01d05bef6e
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -  6  libxul.so!mozilla::detail::RunnableMethodImpl<RefPtr<mozilla::net::HttpChannelChild>, void (mozilla::net::HttpChannelChild::*)(), true, (mozilla::RunnableKind)0, >::Run() [nsThreadUtils.h:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 1201 + 0x17]
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rbx = 0x00007f01b9b2b080   rbp = 0x00007fffc257b800
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     rsp = 0x00007fffc257b800   r12 = 0x00007fffc257b820
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r13 = 0x00007f01d709b279   r14 = 0x0000000000000022
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     r15 = 0x00007f01b9b2b0f0   rip = 0x00007f01d05d8569
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.085Z] 22:49:22     INFO -  7  libxul.so!mozilla::RunnableTask::Run() [TaskController.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 502 + 0x11]
[task 2021-07-23T22:49:22.086Z] 22:49:22     INFO -     rbx = 0x00007f01b9b2b080   rbp = 0x00007fffc257bc90
[task 2021-07-23T22:49:22.087Z] 22:49:22     INFO -     rsp = 0x00007fffc257b810   r12 = 0x00007fffc257b820
[task 2021-07-23T22:49:22.087Z] 22:49:22     INFO -     r13 = 0x00007f01d709b279   r14 = 0x0000000000000022
[task 2021-07-23T22:49:22.088Z] 22:49:22     INFO -     r15 = 0x00007f01b9b2b0f0   rip = 0x00007f01d017f7b0
[task 2021-07-23T22:49:22.088Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.088Z] 22:49:22     INFO -  8  libxul.so!mozilla::TaskController::DoExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 805 + 0x9]
[task 2021-07-23T22:49:22.089Z] 22:49:22     INFO -     rbx = 0x00007fffc257bcf0   rbp = 0x00007fffc257beb0
[task 2021-07-23T22:49:22.089Z] 22:49:22     INFO -     rsp = 0x00007fffc257bca0   r12 = 0x0000000000000000
[task 2021-07-23T22:49:22.090Z] 22:49:22     INFO -     r13 = 0x0000000000000000   r14 = 0x00007f01b9b2b080
[task 2021-07-23T22:49:22.090Z] 22:49:22     INFO -     r15 = 0x00007f01e08295c8   rip = 0x00007f01d016980d
[task 2021-07-23T22:49:22.091Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.091Z] 22:49:22     INFO -  9  libxul.so!mozilla::TaskController::ExecuteNextTaskOnlyMainThreadInternal(mozilla::detail::BaseAutoLock<mozilla::Mutex&> const&) [TaskController.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 641 + 0x5]
[task 2021-07-23T22:49:22.091Z] 22:49:22     INFO -     rbx = 0x00007fffc257bf28   rbp = 0x00007fffc257bf10
[task 2021-07-23T22:49:22.091Z] 22:49:22     INFO -     rsp = 0x00007fffc257bec0   r12 = 0x00007fffc257bf28
[task 2021-07-23T22:49:22.092Z] 22:49:22     INFO -     r13 = 0x00007f01e0829400   r14 = 0x0000000000000000
[task 2021-07-23T22:49:22.092Z] 22:49:22     INFO -     r15 = 0x00007f01e0829400   rip = 0x00007f01d01689ff
[task 2021-07-23T22:49:22.093Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.093Z] 22:49:22     INFO - 10  libxul.so!mozilla::TaskController::ProcessPendingMTTask(bool) [TaskController.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 425 + 0xb]
[task 2021-07-23T22:49:22.093Z] 22:49:22     INFO -     rbx = 0x00007fffc257bf28   rbp = 0x00007fffc257bf60
[task 2021-07-23T22:49:22.094Z] 22:49:22     INFO -     rsp = 0x00007fffc257bf20   r12 = 0x00000265744932a5
[task 2021-07-23T22:49:22.094Z] 22:49:22     INFO -     r13 = 0xaaaaaaaaaaaaaa01   r14 = 0x0000000000000000
[task 2021-07-23T22:49:22.095Z] 22:49:22     INFO -     r15 = 0x00007f01e0829400   rip = 0x00007f01d0168c2b
[task 2021-07-23T22:49:22.095Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.095Z] 22:49:22     INFO - 11  libxul.so!mozilla::detail::RunnableFunction<mozilla::TaskController::InitializeInternal()::$_0>::Run() [nsThreadUtils.h:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 532 + 0xf]
[task 2021-07-23T22:49:22.096Z] 22:49:22     INFO -     rbx = 0x00007fffc257c020   rbp = 0x00007fffc257bf70
[task 2021-07-23T22:49:22.096Z] 22:49:22     INFO -     rsp = 0x00007fffc257bf70   r12 = 0x00000265744932a5
[task 2021-07-23T22:49:22.097Z] 22:49:22     INFO -     r13 = 0xaaaaaaaaaaaaaa01   r14 = 0x00007f01e088e380
[task 2021-07-23T22:49:22.097Z] 22:49:22     INFO -     r15 = 0xaaaaaaaaaaaaaaaa   rip = 0x00007f01d0182d55
[task 2021-07-23T22:49:22.097Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.098Z] 22:49:22     INFO - 12  libxul.so!nsThread::ProcessNextEvent(bool, bool*) [nsThread.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 1148 + 0xe]
[task 2021-07-23T22:49:22.098Z] 22:49:22     INFO -     rbx = 0x00007fffc257c020   rbp = 0x00007fffc257c0b0
[task 2021-07-23T22:49:22.098Z] 22:49:22     INFO -     rsp = 0x00007fffc257bf80   r12 = 0x00000265744932a5
[task 2021-07-23T22:49:22.099Z] 22:49:22     INFO -     r13 = 0xaaaaaaaaaaaaaa01   r14 = 0x00007f01e088e380
[task 2021-07-23T22:49:22.100Z] 22:49:22     INFO -     r15 = 0xaaaaaaaaaaaaaaaa   rip = 0x00007f01d0175922
[task 2021-07-23T22:49:22.100Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.101Z] 22:49:22     INFO - 13  libxul.so!NS_ProcessPendingEvents(nsIThread*, unsigned int) [nsThreadUtils.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 431 + 0xf]
[task 2021-07-23T22:49:22.101Z] 22:49:22     INFO -     rbx = 0x0000000000000000   rbp = 0x00007fffc257c100
[task 2021-07-23T22:49:22.101Z] 22:49:22     INFO -     rsp = 0x00007fffc257c0c0   r12 = 0x00007f01e088e380
[task 2021-07-23T22:49:22.102Z] 22:49:22     INFO -     r13 = 0x00007fffc257c0cf   r14 = 0x00000000ffffffff
[task 2021-07-23T22:49:22.102Z] 22:49:22     INFO -     r15 = 0x000000000016f368   rip = 0x00007f01d017385a
[task 2021-07-23T22:49:22.102Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO - 14  libxul.so!mozilla::ShutdownXPCOM(nsIServiceManager*) [XPCOMInit.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 621 + 0xe]
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     rbx = 0x00007fffc257c128   rbp = 0x00007fffc257c1b0
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     rsp = 0x00007fffc257c110   r12 = 0x0000000000000000
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     r13 = 0x00007fffc257d678   r14 = 0x0000000000000000
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     r15 = 0x00007fffc257c120   rip = 0x00007f01d01b02f3
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO - 15  libxul.so!XRE_TermEmbedding() [nsEmbedFunctions.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 215 + 0x7]
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     rbx = 0x00007f01e0877638   rbp = 0x00007fffc257c1d0
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     rsp = 0x00007fffc257c1c0   r12 = 0x00000000000005b3
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     r13 = 0x00007fffc257d678   r14 = 0x00007fffc257c208
[task 2021-07-23T22:49:22.103Z] 22:49:22     INFO -     r15 = 0x0000000000000001   rip = 0x00007f01d43c6ed1
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO - 16  libxul.so!mozilla::ipc::ScopedXREEmbed::Stop() [ScopedXREEmbed.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 90 + 0x5]
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO -     rbx = 0x00007f01e0877638   rbp = 0x00007fffc257c1f0
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO -     rsp = 0x00007fffc257c1e0   r12 = 0x00000000000005b3
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO -     r13 = 0x00007fffc257d678   r14 = 0x00007fffc257c208
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO -     r15 = 0x0000000000000001   rip = 0x00007f01d07ee4c0
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.104Z] 22:49:22     INFO - 17  libxul.so!XRE_InitChildProcess(int, char**, XREChildData const*) [nsEmbedFunctions.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 746 + 0x11]
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO -     rbx = 0x0000000000000001   rbp = 0x00007fffc257c4d0
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO -     rsp = 0x00007fffc257c200   r12 = 0x00000000000005b3
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO -     r13 = 0x00007fffc257d678   r14 = 0x00007fffc257c208
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO -     r15 = 0x0000000000000001   rip = 0x00007f01d43c74c6
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO - 18  firefox-bin!content_process_main(mozilla::Bootstrap*, int, char**) [plugin-container.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 57 + 0x11]
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO -     rbx = 0x0000000000000011   rbp = 0x00007fffc257c510
[task 2021-07-23T22:49:22.105Z] 22:49:22     INFO -     rsp = 0x00007fffc257c4e0   r12 = 0x00007fffc257c4e0
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     r13 = 0x00007fffc257d670   r14 = 0x00007fffc257d678
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     r15 = 0x00007f01e08026c0   rip = 0x00005594235584ea
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO - 19  firefox-bin!main [nsBrowserApp.cpp:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 327 + 0x20]
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     rbx = 0x0000000000000000   rbp = 0x00007fffc257d590
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     rsp = 0x00007fffc257c520   r12 = 0x0000559423558390
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     r13 = 0x00007fffc257d670   r14 = 0x00005594235fb678
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     r15 = 0x00000126570e7a09   rip = 0x0000559423558875
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO - 20  libc.so.6 + 0x21b97
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     rbx = 0x0000000000000000   rbp = 0x00005594235f7500
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     rsp = 0x00007fffc257d5a0   r12 = 0x0000559423558390
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     r13 = 0x00007fffc257d670   r14 = 0x0000000000000000
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     r15 = 0x0000000000000000   rip = 0x00007f01e0cccb97
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     Found by: call frame info
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO - 21  firefox-bin!mozilla::UniquePtr<mozilla::Bootstrap, mozilla::Bootstrap::BootstrapDelete>::~UniquePtr() [UniquePtr.h:eeb3f6140f6910fb78e3942e868a2c39ba25b766 : 253 + 0x1f]
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     rsp = 0x00007fffc257d5c0   rip = 0x0000559423558535
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO -     Found by: stack scanning
[task 2021-07-23T22:49:22.106Z] 22:49:22     INFO - 
Flags: needinfo?(kershaw)
Pushed by kjang@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/dfba18386c25
Make sure HttpChannelChild::mSuspendCount be updated correctly even if the remote channel is not existed, r=nika
Flags: needinfo?(kershaw)
Whiteboard: [necko-triaged][stockwell disable-recommended] → [necko-triaged]

Since the patch landed, the failure rate decreased a lot. And most of those are on ESR91 or autoland, on central they are really rare.
Those remaining instances might be just random OOMs ?

Should we nominate this for ESR uplift?

Flags: needinfo?(kershaw)

(In reply to Jens Stutte [:jstutte] from comment #59)

Since the patch landed, the failure rate decreased a lot. And most of those are on ESR91 or autoland, on central they are really rare.
Those remaining instances might be just random OOMs ?

Should we nominate this for ESR uplift?

Good idea. I'll request an uplift. Thanks.

Flags: needinfo?(kershaw)

Comment on attachment 9231287 [details]
Bug 1683062 - Make sure HttpChannelChild::mSuspendCount be updated correctly even if the remote channel is not existed, r=#necko

ESR Uplift Approval Request

  • If this is not a sec:{high,crit} bug, please state case for ESR consideration: Potential OOM crash.
  • User impact if declined: There could be a potential OOM crash.
  • Fix Landed on Version: 92
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): The patch is quite straightforward and has been in the tree for a few cycles.
  • String or UUID changes made by this patch: N/A
Attachment #9231287 - Flags: approval-mozilla-esr91?

Comment on attachment 9231287 [details]
Bug 1683062 - Make sure HttpChannelChild::mSuspendCount be updated correctly even if the remote channel is not existed, r=#necko

Approved for 91.4esr. One thing to note, however, is that autoland and m-c are effectively the same branch with respect to what builds are being tested. The only difference is the number of pushes, so lower frequency on m-c vs. autoland doesn't necessarily mean a lot.

Attachment #9231287 - Flags: approval-mozilla-esr91? → approval-mozilla-esr91+

Comment on attachment 9231287 [details]
Bug 1683062 - Make sure HttpChannelChild::mSuspendCount be updated correctly even if the remote channel is not existed, r=#necko

Pushed to esr91:
https://hg.mozilla.org/releases/mozilla-esr91/rev/b08697df780d

We'll see if the rate drops there too.

Attachment #9231287 - Flags: approval-mozilla-esr91+

This test has not failed recently.

Status: NEW → RESOLVED
Closed: 2 years ago
Keywords: leave-open
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.

Attachment

General

Created:
Updated:
Size: